Package org.gitana.platform.client

# Class AuthInfo

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.AuthInfo

All Implemented Interfaces:
  `Serializable`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class AuthInfo extends org.gitana.platform.support.GitanaObjectImpl

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

## Constructor Summary

Constructors
Constructor
Description
`AuthInfo(com.fasterxml.jackson.databind.node.ObjectNode object)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getClientId()`
`String`
`getDirectoryId()`
`String`
`getIdentityId()`
`String`
`getPrincipalDomainId()`
`String`
`getPrincipalId()`
`String`
`getPrincipalName()`
`String`
`getTenantDescription()`
`String`
`getTenantId()`
`String`
`getTenantRegistrarId()`
`String`
`getTenantTitle()`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthInfo

public AuthInfo(com.fasterxml.jackson.databind.node.ObjectNode object)

## Method Details

### getPrincipalId

public String getPrincipalId()

### getPrincipalDomainId

public String getPrincipalDomainId()

### getPrincipalName

public String getPrincipalName()

### getTenantId

public String getTenantId()

### getTenantTitle

public String getTenantTitle()

### getTenantDescription

public String getTenantDescription()

### getTenantRegistrarId

public String getTenantRegistrarId()

### getClientId

public String getClientId()

### getDirectoryId

public String getDirectoryId()

### getIdentityId

public String getIdentityId()